Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface HibernateProviderDocument.HibernateProvider

All Superinterfaces:
  BusProvider, Provider, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  HibernateProviderDocumentImpl.HibernateProviderImpl

Enclosing interface:
  HibernateProviderDocument

    public static interface HibernateProviderDocument.HibernateProvider

extends BusProvider

An XML hibernate-provider(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `HibernateProviderDocument.HibernateProvider.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getHibernateCfgFile()` Gets the "hibernate-cfg-file" attribute
`void` | `setHibernateCfgFile(java.lang.String hibernateCfgFile)` Sets the "hibernate-cfg-file" attribute
`org.apache.xmlbeans.XmlString` | `xgetHibernateCfgFile()` Gets (as xml) the "hibernate-cfg-file" attribute
`void` | `xsetHibernateCfgFile(org.apache.xmlbeans.XmlString hibernateCfgFile)` Sets (as xml) the "hibernate-cfg-file" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusProvider
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getHibernateCfgFile

    java.lang.String getHibernateCfgFile()

  Gets the "hibernate-cfg-file" attribute

### xgetHibernateCfgFile

    org.apache.xmlbeans.XmlString xgetHibernateCfgFile()

  Gets (as xml) the "hibernate-cfg-file" attribute

### setHibernateCfgFile

    void setHibernateCfgFile(java.lang.String hibernateCfgFile)

  Sets the "hibernate-cfg-file" attribute

### xsetHibernateCfgFile

    void xsetHibernateCfgFile(org.apache.xmlbeans.XmlString hibernateCfgFile)

  Sets (as xml) the "hibernate-cfg-file" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD